package com.yihu.wlyy.entity.patient;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 健康记录(运动)
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_patient_health_record_sports")
public class PatientHealthRecordSports extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5446594341010696654L;

	// 记录标识
	private String code;
	// 患者标志
	private String patient;
	// 记录时间
	private Date recordDate;
	// 运动时长（分）
	private double sportsTime;
	// 运动强度
	private String sportsType;
	// 运动强度名称
	private String sportsTypeName;
	// 运动类型
	private String sports;
	// 运动类型名称
	private String sportsName;
	// 排序日期
	private Date sortDate;
	// 添加时间
	private Date czrq;
	// 是否作废，1正常，0作废
	private String del;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+08:00")
	@Column(name = "record_date")
	public Date getRecordDate() {
		return recordDate;
	}

	public void setRecordDate(Date recordDate) {
		this.recordDate = recordDate;
	}

	@Column(name = "sports_time")
	public double getSportsTime() {
		return sportsTime;
	}

	public void setSportsTime(double sportsTime) {
		this.sportsTime = sportsTime;
	}

	@Column(name = "sports_type")
	public String getSportsType() {
		return sportsType;
	}

	public void setSportsType(String sportsType) {
		this.sportsType = sportsType;
	}

	@Column(name = "sports_type_name")
	public String getSportsTypeName() {
		return sportsTypeName;
	}

	public void setSportsTypeName(String sportsTypeName) {
		this.sportsTypeName = sportsTypeName;
	}

	public String getSports() {
		return sports;
	}

	public void setSports(String sports) {
		this.sports = sports;
	}

	@Column(name = "sports_name")
	public String getSportsName() {
		return sportsName;
	}

	public void setSportsName(String sportsName) {
		this.sportsName = sportsName;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@Column(name = "sort_date")
	public Date getSortDate() {
		return sortDate;
	}

	public void setSortDate(Date sortDate) {
		this.sortDate = sortDate;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
